Name:           compface
Version:        1.5.2
Release:    1%{?dist}
Summary:        Library and tools for handling X-Face data

License:        MIT
URL:            http://ftp.xemacs.org/pub/xemacs/aux/
Source0:        http://ftp.xemacs.org/pub/xemacs/aux/%{name}-%{version}.tar.gz
Source1:        compface-test.xbm
Source2:        compface-README.copyright
Patch0:         libcompface_1.5.2-4.diff.gz
Patch1:         compface-1.5.2-stack-smashing.patch
Patch2:         compface-1.5.2-build.patch
Patch3: compface-configure-c99.patch
Patch4: compface-c99.patch
BuildRequires:  diffutils
BuildRequires:  gcc
BuildRequires: make

%description
This is the Compface image compression and decompression library and its
user tools. Compface converts 48x48 .xbm format (X bitmap) images to a
compressed format that can be placed in the X-Face: mail header. Some mail
programs are able to display such images when opening messages.

%package        devel
Summary:        Library and development files for handling X-Face data 
Requires:       %{name} = %{version}-%{release}

%description    devel
These files are needed when building software that uses the Compface
library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .stack-smashing
%patch2 -p0
%patch3 -p1
%patch4 -p1


%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" %configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} STRIP=/bin/true
mkdir -p _extdoc && install -p -m 0644 %{SOURCE2} _extdoc/README.copyright


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}:$LD_LIBRARY_PATH
./compface %{SOURCE1} | ./uncompface -X > __test.xbm
cmp %{SOURCE1} __test.xbm


%files
%doc ChangeLog README xbm2xface.pl
%doc _extdoc/README.copyright
%{_bindir}/compface
%{_bindir}/uncompface
%{_libdir}/libcompface.so.*
%{_mandir}/man1/compface.1*
%{_mandir}/man1/uncompface.1*

%files devel
%{_includedir}/compface.h
%{_libdir}/libcompface.so
%{_mandir}/man3/compface.3*
%{_mandir}/man3/uncompface.3*


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-1
- initial build
